Group: Networking/WWW
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           n2n
Version:        2.1.0
Release:        alt2_27
Summary:        A layer-two peer-to-peer virtual private network

License:        GPLv3+
URL:            http://www.ntop.org/n2n
# The source for this package was pulled from upstream's svn repository.
# git svn clone --no-minimize-url https://svn.ntop.org/svn/ntop/tags/n2n-2.1.0
# (cd n2n-2.1.0 && git archive HEAD --format=tar --prefix=n2n-2.1.0/) | bzip2 - > n2n-2.1.0.tar.bz2
Source0:        %{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  libssl-devel
Source44: import.info

%description
n2n is a layer-two peer-to-peer virtual private network (VPN) which
allows users to exploit features typical of P2P applications at
network instead of application level. This means that users can gain
native IP visibility (e.g. two PCs belonging to the same n2n network
can ping each other) and be reachable with the same network IP address
regardless of the network where they currently belong.  In a nutshell,
as OpenVPN moved SSL from application (e.g. used to implement the
HTTPS protocol) to network protocol, n2n moves P2P from application to
network level.

%prep
%setup -q

%build
make CFLAGS="%{optflags}" %{?_smp_mflags}

%install
make INSTALL="install -p" install DESTDIR=$RPM_BUILD_ROOT

%files
%doc COPYING README HACKING
%{_sbindir}/edge
%{_sbindir}/supernode
%{_mandir}/man*/*


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.1.0-alt2_27
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.1.0-alt2_25
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.1.0-alt2_24
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.1.0-alt2_23
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.1.0-alt2_22
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 2.1.0-alt2_21
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.1.0-alt2_20
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.1.0-alt2_19
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt2_18
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_18
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_17
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_16
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_15
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_14
- update to new release by fcimport

* Fri Jun 08 2018 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_13
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_12
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_9
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_8
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_7
- update to new release by fcimport

* Thu Jun 26 2014 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_6
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_5
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 2.1.0-alt1_4
- initial fc import

